# MeshTessFace(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MeshTessFace`(bpy_struct)

  TessFace in a Mesh data-block

  `area`

    Read only area of this face

    Type: | float in [0, inf], default 0.0, (readonly)

  `hide`

    Type: | boolean, default False

  `index`

    Index of this face

    Type: | int in [0, inf], default 0, (readonly)

  `material_index`

    Type: | int in [0, 32767], default 0

  `normal`

    Local space unit length normal vector for this face

    Type: | float array of 3 items in [-1, 1], default (0.0, 0.0, 0.0), (readonly)

  `select`

    Type: | boolean, default False

  `split_normals`

    Local space unit length split normals vectors of the vertices of this face (must be computed beforehand using calc_normals_split or calc_tangents, and then calc_tessface)

    Type: | float array of 12 items in [-1, 1], default (0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0), (readonly)

  `use_smooth`

    Type: | boolean, default False

  `vertices`

    Vertex indices

    Type: | int array of 4 items in [0, inf], default (0, 0, 0, 0)

  `vertices_raw`

    Fixed size vertex indices array

    Type: | int array of 4 items in [0, inf], default (0, 0, 0, 0)

  `center`

    The midpoint of the face. (readonly)

  `edge_keys`

    (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Mesh.tessfaces` |